POST api/Coupon/AddCoupon
Add coupon
Request Information
URI Parameters
None.
Body Parameters
AddCouponModel
AddCouponModels| Name | Description | Type | Additional information |
|---|---|---|---|
| Coupon | CouponModel |
None. |
|
| CouponProductMapping | Collection of CouponProductMappingModel |
None. |
|
| CouponStoreMapping | Collection of CouponStoreMappingModel |
None. |
|
| CouponCountryMapping | Collection of CouponCountryMappingModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"coupon": {
"categoryId": 1,
"couponName": "sample string 2",
"image": "QEA=",
"discountTypeId": 3,
"discount": "sample string 4",
"validityStartDate": "2026-08-08T08:26:20.9204163+00:00",
"validityEndDate": "2026-08-08T08:26:20.9204163+00:00",
"description": "sample string 7",
"isTrending": true,
"usedCount": 1,
"createdOn": "2026-08-08T08:26:20.9204163+00:00",
"createdBy": "sample string 10",
"isActive": true,
"isDeleted": true,
"couponCode": "sample string 11",
"point": 12,
"couponNameSP": "sample string 13",
"descriptionSP": "sample string 14",
"couponNotification": "sample string 15",
"couponNotificationSP": "sample string 16",
"isSubscribe": true
},
"couponProductMapping": [
{
"couponId": 1,
"productCategoryId": 2,
"productId": 3,
"isDeleted": true,
"createdOn": "2026-08-08T08:26:20.9204163+00:00",
"createdBy": "sample string 5",
"updatedOn": "2026-08-08T08:26:20.9204163+00:00",
"updatedBy": "sample string 6"
},
{
"couponId": 1,
"productCategoryId": 2,
"productId": 3,
"isDeleted": true,
"createdOn": "2026-08-08T08:26:20.9204163+00:00",
"createdBy": "sample string 5",
"updatedOn": "2026-08-08T08:26:20.9204163+00:00",
"updatedBy": "sample string 6"
}
],
"couponStoreMapping": [
{
"couponId": 1,
"storeId": 2,
"isDeleted": true,
"createdOn": "2026-08-08T08:26:20.9204163+00:00",
"createdBy": "sample string 4",
"updatedOn": "2026-08-08T08:26:20.9204163+00:00",
"updatedBy": "sample string 5"
},
{
"couponId": 1,
"storeId": 2,
"isDeleted": true,
"createdOn": "2026-08-08T08:26:20.9204163+00:00",
"createdBy": "sample string 4",
"updatedOn": "2026-08-08T08:26:20.9204163+00:00",
"updatedBy": "sample string 5"
}
],
"couponCountryMapping": [
{
"couponId": 1,
"isoCode": "sample string 2",
"isDeleted": true,
"createdOn": "2026-08-08T08:26:20.9204163+00:00",
"createdBy": "sample string 4"
},
{
"couponId": 1,
"isoCode": "sample string 2",
"isDeleted": true,
"createdOn": "2026-08-08T08:26:20.9204163+00:00",
"createdBy": "sample string 4"
}
]
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
GenericResponseOfString| Name | Description | Type | Additional information |
|---|---|---|---|
| status | string |
None. |
|
| message | string |
None. |
|
| UserStatus | string |
None. |
|
| Data | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": "sample string 1",
"message": "sample string 2",
"userStatus": "sample string 3",
"data": "sample string 4"
}